'use strict';

var zod = require('zod');
var localPkg = require('local-pkg');

var x=["browser","bun","deno","dom","edge","happy-dom","jsdom","node","web-worker"],E=zod.z.enum(x),S=globalThis.Bun!==void 0&&Bun.version!==void 0,O=globalThis.Deno!==void 0&&Deno.version!==void 0&&Deno.version.deno!==void 0,i=globalThis.window!==void 0&&!globalThis.navigator!==void 0&&window.document!==void 0,T=globalThis.EdgeRuntime!==void 0,d=i&&navigator.userAgent.includes("jsdom"),f=i&&window.happyDOM!==void 0,a=globalThis.process!==void 0&&process.version!==void 0,r=i&&!f&&!d,_=typeof self=="object"&&self.constructor&&self.constructor.name==="DedicatedWorkerGlobalScope";function N(){let e={edge:T,bun:S,"happy-dom":f,jsdom:d,deno:O,browser:r,node:a,"web-worker":_,dom:i};for(let[n,o]of Object.entries(e))if(o)return n;throw new Error("Unrecognized JavaScript runtime environment!")}function j(e){E.parse(e);}function Y(e){return E.safeParse(e).success}var g=typeof globalThis.require=="function",G=!g&&!!({ url: (typeof document === 'undefined' ? require('u' + 'rl').pathToFileURL(__filename).href : (document.currentScript && document.currentScript.src || new URL('out.js', document.baseURI).href)) });function J(e){if(r)throw new Error("You cannot check for module existence in the browser.");return !!localPkg.resolveModule(e)}var h=["bun","deno","node"];function y(e){return new Set(h).has(e)}function u(){let e=N();if(y(e))return e;throw new Error(`This snippet cannot be run in a runtime: ${e}!`)}function b(){switch(u()){case"bun":return Bun.env;case"deno":return Deno.env.toObject();case"node":return process.env}}var V=e=>new Map(Object.entries(e));function A(e){return V(b()).has(e)}function s(e,n={}){let{strict:o=!1}=n,c=V(b()).get(e);if(c)return M(c);if(o)throw new Error(`The environment variable - "${e}" - is not set. Getter aborted.`)}function M(e){if(e==="true")return !0;if(e==="false")return !1;{let n=Number(e);return Number.isNaN(n)?e:n}}function Q(e,n){switch(u()){case"bun":{Bun.env[e]=String(n);break}case"deno":{Deno.env.set(e,String(n));break}case"node":{globalThis.process.env[e]=String(n);break}}}function X(e,n={}){let{strict:o=!1}=n;if(A(e))switch(u()){case"bun":{delete Bun.env[e];break}case"deno":{Deno.env.delete(e);break}case"node":{delete globalThis.process.env[e];break}}else if(o)throw new Error(`The environment variable name: "${e}" does not exist. Deletion aborted.`)}var p=["CI","CONTINUOUS_INTEGRATION"],oe=zod.z.enum(p);var m=["STORYBOOK"],se=zod.z.enum(m);var l=["JEST","VITEST"],me=zod.z.enum(l);var Ve=["continuousIntegration","storybook","test"],C={continuousIntegration:p,storybook:m,test:l};function Re(e,n={}){let{strict:o=!1}=n;return r?P(o):k(C[e])}function P(e){if(e)throw new Error("You cannot use this snippet in the browser.");return !1}function k(e){for(let n of e)if(s(n))return !0;return !1}function Te(e={}){return R("development",e)}function _e(e={}){return R("production",e)}function R(e,n={}){let{strict:o=!1}=n;return a?s("NODE_ENV",{strict:!0})===e:L(o)}function L(e){if(e)throw new Error("Currently you can check only inside the Node.js runtime environment.");return !1}

exports.CI_CD_ENVIRONMENT_VARIABLES = p;
exports.CI_CD_ENVIRONMENT_VARIABLE_SCHEMA = oe;
exports.IN_BROWSER = r;
exports.IN_BUN = S;
exports.IN_CJS = g;
exports.IN_DENO = O;
exports.IN_DOM = i;
exports.IN_EDGE = T;
exports.IN_ESM = G;
exports.IN_HAPPY_DOM = f;
exports.IN_JSDOM = d;
exports.IN_NODE = a;
exports.IN_WEB_WORKER = _;
exports.RUNTIME_ENVIRONMENTS = x;
exports.RUNTIME_ENVIRONMENT_SCHEMA = E;
exports.SCOPE_NAMES = Ve;
exports.SCOPE_VARIABLES = C;
exports.STORYBOOK_ENVIRONMENT_VARIABLES = m;
exports.STORYBOOK_ENVIRONMENT_VARIABLE_SCHEMA = se;
exports.TEST_ENVIRONMENT_VARIABLES = l;
exports.TEST_ENVIRONMENT_VARIABLE_SCHEMA = me;
exports.deleteEnvironmentVariable = X;
exports.getEnvironmentVariable = s;
exports.getEnvironmentVariables = b;
exports.getRuntimeEnvironmentName = N;
exports.hasEnvironmentVariable = A;
exports.hasModule = J;
exports.inDevelopment = Te;
exports.inProduction = _e;
exports.isIn = Re;
exports.isNodeEnvironment = R;
exports.isValidRuntimeEnvironmentName = Y;
exports.setEnvironmentVariable = Q;
exports.validateRuntimeEnvironmentName = j;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=main.cjs.map