export { IN_BROWSER, IN_BUN, IN_DENO, IN_DOM, IN_EDGE, IN_HAPPY_DOM, IN_JSDOM, IN_NODE, IN_WEB_WORKER, RUNTIME_ENVIRONMENTS, RUNTIME_ENVIRONMENT_SCHEMA, RuntimeEnvironment, getRuntimeEnvironmentName, isValidRuntimeEnvironmentName, validateRuntimeEnvironmentName } from './environment/environment.js';
export { IN_CJS, IN_ESM, hasModule } from './module/module.js';
export { SCOPE_NAMES, SCOPE_VARIABLES, ScopeName, isIn } from './scope/name.js';
export { CICDEnvironmentVariable, CI_CD_ENVIRONMENT_VARIABLES, CI_CD_ENVIRONMENT_VARIABLE_SCHEMA } from './scope/scopes/continuous-integration.js';
export { NodeEnvironment, inDevelopment, inProduction, isNodeEnvironment } from './scope/scopes/node.js';
export { STORYBOOK_ENVIRONMENT_VARIABLES, STORYBOOK_ENVIRONMENT_VARIABLE_SCHEMA, StorybookEnvironmentVariable } from './scope/scopes/storybook.js';
export { TEST_ENVIRONMENT_VARIABLES, TEST_ENVIRONMENT_VARIABLE_SCHEMA, TestEnvironmentVariable } from './scope/scopes/test.js';
export { EnvironmentVariableOptions, EnvironmentVariableValue, deleteEnvironmentVariable, getEnvironmentVariable, getEnvironmentVariables, hasEnvironmentVariable, setEnvironmentVariable } from './variable/variable.js';
import 'zod';
import './scope/shared.js';
