import { ScopeOptions } from './shared.js';

declare const SCOPE_NAMES: readonly ["continuousIntegration", "storybook", "test"];
type ScopeName = (typeof SCOPE_NAMES)[number];
declare const SCOPE_VARIABLES: {
    readonly continuousIntegration: readonly ["CI", "CONTINUOUS_INTEGRATION"];
    readonly storybook: readonly ["STORYBOOK"];
    readonly test: readonly ["JEST", "VITEST"];
};
declare function isIn(scopeName: ScopeName, options?: ScopeOptions): boolean;

export { SCOPE_NAMES, SCOPE_VARIABLES, ScopeName, isIn };
