export { SCOPE_NAMES, SCOPE_VARIABLES, ScopeName, isIn } from './name.js';
export { CICDEnvironmentVariable, CI_CD_ENVIRONMENT_VARIABLES, CI_CD_ENVIRONMENT_VARIABLE_SCHEMA } from './scopes/continuous-integration.js';
export { NodeEnvironment, inDevelopment, inProduction, isNodeEnvironment } from './scopes/node.js';
export { STORYBOOK_ENVIRONMENT_VARIABLES, STORYBOOK_ENVIRONMENT_VARIABLE_SCHEMA, StorybookEnvironmentVariable } from './scopes/storybook.js';
export { TEST_ENVIRONMENT_VARIABLES, TEST_ENVIRONMENT_VARIABLE_SCHEMA, TestEnvironmentVariable } from './scopes/test.js';
import './shared.js';
import 'zod';
