'use strict';

var zod = require('zod');

var u=["browser","bun","deno","dom","edge","happy-dom","jsdom","node","web-worker"],o=zod.z.enum(u),m=globalThis.Bun!==void 0&&Bun.version!==void 0,c=globalThis.Deno!==void 0&&Deno.version!==void 0&&Deno.version.deno!==void 0,n=globalThis.window!==void 0&&!globalThis.navigator!==void 0&&window.document!==void 0,a=globalThis.EdgeRuntime!==void 0,t=n&&navigator.userAgent.includes("jsdom"),r=n&&window.happyDOM!==void 0,p=globalThis.process!==void 0&&process.version!==void 0,E=n&&!r&&!t,N=typeof self=="object"&&self.constructor&&self.constructor.name==="DedicatedWorkerGlobalScope";function R(){let e={edge:a,bun:m,"happy-dom":r,jsdom:t,deno:c,browser:E,node:p,"web-worker":N,dom:n};for(let[i,s]of Object.entries(e))if(s)return i;throw new Error("Unrecognized JavaScript runtime environment!")}function v(e){o.parse(e);}function b(e){return o.safeParse(e).success}

exports.IN_BROWSER = E;
exports.IN_BUN = m;
exports.IN_DENO = c;
exports.IN_DOM = n;
exports.IN_EDGE = a;
exports.IN_HAPPY_DOM = r;
exports.IN_JSDOM = t;
exports.IN_NODE = p;
exports.IN_WEB_WORKER = N;
exports.RUNTIME_ENVIRONMENTS = u;
exports.RUNTIME_ENVIRONMENT_SCHEMA = o;
exports.getRuntimeEnvironmentName = R;
exports.isValidRuntimeEnvironmentName = b;
exports.validateRuntimeEnvironmentName = v;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=environment.cjs.map