/**
 * @see {@link https://nodejs.org/api/modules.html#modules-commonjs-modules} CommonJS Module
 */
declare const IN_CJS: boolean;
/**
 * @see {@link https://nodejs.org/api/esm.html#modules-ecmascript-modules} ECMAScript Module
 */
declare const IN_ESM: boolean;
declare function hasModule(name: string): boolean;

export { IN_CJS, IN_ESM, hasModule };
