import { z } from 'zod';

declare const CI_CD_ENVIRONMENT_VARIABLES: readonly ["CI", "CONTINUOUS_INTEGRATION"];
type CICDEnvironmentVariable = (typeof CI_CD_ENVIRONMENT_VARIABLES)[number];
declare const CI_CD_ENVIRONMENT_VARIABLE_SCHEMA: z.ZodEnum<["CI", "CONTINUOUS_INTEGRATION"]>;

export { CICDEnvironmentVariable, CI_CD_ENVIRONMENT_VARIABLES, CI_CD_ENVIRONMENT_VARIABLE_SCHEMA };
