import { ScopeOptions } from '../shared.js';

declare function inDevelopment(options?: ScopeOptions): boolean;
declare function inProduction(options?: ScopeOptions): boolean;
type NodeEnvironment = "development" | "production";
declare function isNodeEnvironment(value: NodeEnvironment, options?: ScopeOptions): boolean;

export { NodeEnvironment, inDevelopment, inProduction, isNodeEnvironment };
