import { z } from 'zod';

declare const STORYBOOK_ENVIRONMENT_VARIABLES: readonly ["STORYBOOK"];
type StorybookEnvironmentVariable = (typeof STORYBOOK_ENVIRONMENT_VARIABLES)[number];
declare const STORYBOOK_ENVIRONMENT_VARIABLE_SCHEMA: z.ZodEnum<["STORYBOOK"]>;

export { STORYBOOK_ENVIRONMENT_VARIABLES, STORYBOOK_ENVIRONMENT_VARIABLE_SCHEMA, StorybookEnvironmentVariable };
