import { z } from 'zod';

declare const TEST_ENVIRONMENT_VARIABLES: readonly ["JEST", "VITEST"];
type TestEnvironmentVariable = (typeof TEST_ENVIRONMENT_VARIABLES)[number];
declare const TEST_ENVIRONMENT_VARIABLE_SCHEMA: z.ZodEnum<["JEST", "VITEST"]>;

export { TEST_ENVIRONMENT_VARIABLES, TEST_ENVIRONMENT_VARIABLE_SCHEMA, TestEnvironmentVariable };
